<?php
if (!defined('SMARTVERSITY_VERSION')) {
    // Replace the version number of the theme on each release.
    define('SMARTVERSITY_VERSION', wp_get_theme()->get('Version'));
}
define('SMARTVERSITY_DEBUG', defined('WP_DEBUG') && WP_DEBUG === true);
define('SMARTVERSITY_DIR', trailingslashit(get_template_directory()));
define('SMARTVERSITY_URL', trailingslashit(get_template_directory_uri()));

if (!function_exists('smartversity_support')) :

    /**
     * Sets up theme defaults and registers support for various WordPress features.
     *
     * @since walker_fse 1.0.0
     *
     * @return void
     */
    function smartversity_support()
    {
        // Add default posts and comments RSS feed links to head.
        add_theme_support('automatic-feed-links');
        // Add support for block styles.
        add_theme_support('wp-block-styles');
        add_theme_support('post-thumbnails');
        // Enqueue editor styles.
        add_editor_style('style.css');
    }

endif;
add_action('after_setup_theme', 'smartversity_support');

/*----------------------------------------------------------------------------------
Enqueue Styles
-----------------------------------------------------------------------------------*/
if (!function_exists('smartversity_styles')) :
    function smartversity_styles()
    {
        // registering style for theme
        wp_enqueue_style('smartversity-style', get_stylesheet_uri(), array(), SMARTVERSITY_VERSION);
        wp_enqueue_style('smartversity-blocks-style', get_template_directory_uri() . '/assets/css/blocks.css');
        if (is_rtl()) {
            wp_enqueue_style('smartversity-rtl-css', get_template_directory_uri() . '/assets/css/rtl.css', 'rtl_css');
        }
    }
endif;

add_action('wp_enqueue_scripts', 'smartversity_styles');

/**
 * Enqueue scripts for admin area
 */
function smartversity_admin_style()
{
    $hello_notice_current_screen = get_current_screen();
    if (!empty($_GET['page']) && 'about-smartversity' === $_GET['page'] || $hello_notice_current_screen->id === 'themes' || $hello_notice_current_screen->id === 'dashboard') {
        wp_enqueue_style('smartversity-admin-style', get_template_directory_uri() . '/assets/css/admin-style.css', array(), SMARTVERSITY_VERSION, 'all');
        wp_enqueue_script('smartversity-admin-scripts', get_template_directory_uri() . '/assets/js/smartversity-admin-scripts.js', array(), SMARTVERSITY_VERSION, true);
    }
}
add_action('admin_enqueue_scripts', 'smartversity_admin_style');

/**
 * Enqueue assets scripts for both backend and frontend
 */
function smartversity_block_assets()
{
    wp_enqueue_style('smartversity-blocks-style', get_template_directory_uri() . '/assets/css/blocks.css');
}
add_action('enqueue_block_assets', 'smartversity_block_assets');

/**
 * Load core file.
 */
require_once get_template_directory() . '/inc/core/init.php';

/**
 * Load welcome page file.
 */
require_once get_template_directory() . '/inc/admin/welcome-notice.php';

if (!function_exists('smartversity_excerpt_more_postfix')) {
    function smartversity_excerpt_more_postfix($more)
    {
        if (is_admin()) {
            return $more;
        }
        return '...';
    }
    add_filter('excerpt_more', 'smartversity_excerpt_more_postfix');
}
